Subject: RE: IANA considerations update for NETCONF protocol draft

From: "Rob Enns" <[email-masked]>
Date: Fri, 2 Dec 2005 11:36:37 -0800

> But appendix C now states:
> 
>    C.1.3.  Capability Identifier
> 
>    The {name} is identified by following capability string:
> 
>       urn:ietf:params:xml:ns:netconf:capability:{name}:1.0
> 
> Which to me seems to apply be in sync with sect 10.3
> for sect 10.4, it probably should be:
> 
>       urn:ietf:params:xml:ns:netconf-enterprise:capability:{name}:1.0
> 
> But even then, how do you avoid conflicts between multiple 
> enterprises,
> and how do you you which capability is from which enterprise?
> 
> Bert

I didn't post the updated appendix C but the idea is that we update
it to remove the netconf URN (like you did above) and request that
enterprise capabilities are identified with a URI.

Any URI that uniquely identifies the enterprise capability should be 
sufficient. So for example an enterprise could register:

http://www.example.net/netconf/mycapability

The requirement on IANA would be to verify that the URI contains
a unique enterprise identifier, such as a DNS name, and that 
the registered capability URI is unique. I suspect IANA might
feel this is too loosey goosey and not appropriate for IANA allocation.

An alternative would be to have IANA allocate structured URNs for the
NETCONF enterprise capabilities using enterprise names or enterprise
OIDs. I don't think the adminsitrative hair is worth it for enterprise
capabilities (because there won't be all that many).

The last alternative would be to forget the idea of IANA allocated
enterprise capabilities, and let enterprises do their own thing 
with URIs.

I'd like the WG to weigh in on this question.

Rob

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---

From: Andy Bierman <[email-masked]>
Date: Fri, 02 Dec 2005 12:06:25 -0800

>I'd like the WG to weigh in on this question.

I don't think we really need this Enterprise Capability Registry.
We created our own template for extending the standard (Appendix C)
but that does not mean that IANA or the IETF needs to be involved
whatsoever in proprietary extensions to the NETCONF protocol.

>Rob

Andy